booster::detail::weak_count Class Reference

## Public Member Functions

| weak_count (shared_count const &r)
| weak_count (weak_count const &r)
weak_count & | operator= (shared_count const &r)
weak_count & | operator= (weak_count const &r)
void | swap (weak_count &r)
long | use_count () const
bool | empty () const

## Friends

class | shared_count
bool | operator== (weak_count const &a, weak_count const &b)
bool | operator< (weak_count const &a, weak_count const &b)

The documentation for this class was generated from the following file:

- booster/smart_ptr/shared_count.h